#include <string.h>

#include "object.h"
#include "Attribute.h"
#include "LandscapeObject.h"
#include "LandscapeObject3D.h"
#include "LandscapeClassObject.h"
#include "EntityClass.h"
#include "RelationClass.h"
#include "EntityInstance.h"
#include "RelationInstance.h"

CRelationInstance::CRelationInstance(CRelationClass *parentClassP, CEntityInstance *srcP, CEntityInstance *dstP)
{
	setParentClass(parentClassP);
	m_srcP              = srcP;
	m_dstP              = dstP;
	m_next_srcP         = srcP->m_srcRelListP;
	srcP->m_srcRelListP = this;
	m_next_dstP         = dstP->m_dstRelListP;
	dstP->m_dstRelListP = this;
}

CRelationClass *
CRelationInstance::getRelationClass(void) const
{
	return (CRelationClass *) getParentClass();
}

void 
CRelationInstance::putAttribute(const char *idP, const char *valueP)
{
}


